C
C SUBROUTINE 'PUTSAV'
C ===================
C
C If the vectors are to be saved then call this routine after each
C call to QGMOVE and QGDRAW
C
      SUBROUTINE PUTSAV
C
C PARAMETERS
C 
C      NONE
C
C SPECIFICATION STATEMENTS
C ------------------------
C
      COMMON /PLTSV1/ KUN,ISAV,NB
      CHARACTER*80 SAVBUF
      COMMON /PLTSV2/ SAVBUF
      CHARACTER*5 SAVSTR
      COMMON /QQSAV/ SAVSTR
      COMMON /QQSAVN/ NSAV
      SAVE /PLTSV1/,/PLTSV2/,/QQSAV/,/QQSAVN/
      EXTERNAL PLTSV
C
C CODE
C ----
C
      IF (ISAV.EQ.0) RETURN
      IF (NSAV.LE.0) RETURN
      DO 10 I=1,NSAV
      NB = NB+1
      IF (NB.GT.80) THEN
         WRITE (KUN) NB,SAVBUF
         NB = 1
      ENDIF
      SAVBUF(NB:NB) = SAVSTR(I:I)
10    CONTINUE
      RETURN
      END
